plot {CMA} | R Documentation

## Visualize results of tuning

### Description

After hyperparameter tuning using `tune` it is useful to see which choice of hyperparameters is suitable and how good the performance is.

### Arguments

`x` | An object of class `tuningresult`.
`iter` | Iteration number (`learningset`) for which tuning results should be displayed.

`which`

Character vector (maximum length is two) naming the arguments for which tuning results should be display. Default is `NULL`; if the number of tuned hyperparameter is less or equal than two, then the results for these hyperparameters will be plotted. If this number is two, then a `contour` plot will be made, otherwise a simple line segment plot. If the number of tuned hyperparameters exceeds two, then which may not be `NULL`.

`...` | Further graphical options passed either to `plot` or `contour`.

### Value

no return.

### Note

Frequently, several hyperparameter (combinations) perform "best", s. also the remark in `best`.

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`tune`, `tuningresult`

[Package CMA version 1.2.0 Index]